
/*
 *  UUNAME.C
 *
 *  $Header: Beta:src/uucp/src/uucico/RCS/uuname.c,v 1.1 90/02/02 11:56:07 dillon Exp Locker: dillon $
 *
 *  UUHOSTS  -- List all UUCP sites connected to our system
 *
 *  Usage: UUHOSTS
 *
 *  Copyright 1988 by William Loftus.  All rights reserved.
 *
 *  ARPA: wpl@prc.unisys.com
 *  UUCP: wpl@burdvax.UUCP
 *  USMAIL: Unisys/Paoli Research Center;PO BOX 517;Paoli, PA 19301-0517
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "version.h"

static char *version20 = "$VER: uuname 1.00 (5 Aug 90)\n\r";

void
main()
{
    char buf[256];
    FILE *fd;

    if (!(fd = fopen(MakeConfigPath(UULIB, "L.sys"), "r"))) {
	printf("Couldn't open L.sys file\n");
	exit(1);
    }

    while (fgets(buf, sizeof buf, fd)) {
	if (buf[0] == '#' || buf[0] == '\n')
	    continue;
	buf[(int)strchr(buf,' ') - (int)buf] = '\0';
	printf("%s\n", buf);
    }

    fclose(fd);
}
